#ifndef FRAME_HPP_INCLUDED
#define FRAME_HPP_INCLUDED

#include "../JavaClass/Object.hpp"
#include "../JavaClass/Class.hpp"
#include <vector>
#include <cstdint>
#include "FrameMap.hpp"

namespace Internal
{
    class Frame : public Object
    {
        public:
            Frame();
            Frame(const void* Obj);
            Frame(const Frame& F);
            static Class GetClass();

            std::vector<std::int32_t> GetIndices() const;
            bool GetShowing() const;
            FrameMap GetSkin() const;
            std::vector<std::int32_t> GetTranslatorX() const;
            std::vector<std::int32_t> GetTranslatorY() const;
            std::vector<std::int32_t> GetTranslatorZ() const;
            std::int32_t GetTranslatorsLength() const;

    };
}

#endif // FRAME_HPP_INCLUDED
